Vtiful\Kernel\Excel data

- « Vtiful\Kernel\Excel::__construct

- Vtiful\Kernel\Excel::fileName »

- PHP Manual
- Vtiful\Kernel\Excel
- Vtiful\Kernel\Excel data

# Vtiful\Kernel\Excel::data

(PECL xlswriter >= 1.2.1)

Vtiful\Kernel\Excel::data — Vtiful\Kernel\Excel data

### Description

public Vtiful\Kernel\Excel::data(array `$data`)

Write a data in the worksheet.

### Parameters

`data`

  worksheet data

### Return Values

Vtiful\Kernel\Excel instance

### Examples

Example #1 example

    <?php
    $config = [
        'path' => './tests'
    ];

    $fileObject  = new \Vtiful\Kernel\Excel($config);

    $file = $fileObject->fileName('tutorial.xlsx', 'sheet_one')
        ->header(['name', 'age'])
        ->data([
          ['viest', 23],
          ['wjx', 23],
        ]);
    ?>